# json_util.h File Reference

## Defines

#define | JSON_FILE_BUF_SIZE 4096

## Functions

struct json_object * | json_object_from_file (const char *filename)
int | json_object_to_file (char *filename, struct json_object *obj)
int | json_object_to_file_ext (char *filename, struct json_object *obj, int flags)
int | json_parse_int64 (const char *buf, int64_t *retval)
const char * | json_type_to_name (enum json_type o_type)

## Define Documentation

#define JSON_FILE_BUF_SIZE 4096

## Function Documentation

struct json_object* json_object_from_file | ( | const char * | filename | ) | `[read]`

int json_object_to_file | ( | char * | filename,
|  | struct json_object * | obj |
| ) |  |  |

int json_object_to_file_ext | ( | char * | filename,
|  | struct json_object * | obj,
|  | int | flags |
| ) |  |  |

int json_parse_int64 | ( | const char * | buf,
|  | int64_t * | retval |
| ) |  |  |

const char* json_type_to_name | ( | enum json_type | o_type | ) |

Return a string describing the type of the object. e.g. "int", or "object", etc...